% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/file_format.R
\name{FileFormat-operations}
\alias{FileFormat-operations}
\title{File Format Operations for Neuroimaging Data}
\description{
A collection of methods for handling neuroimaging file formats with separate header
and data files (e.g., ANALYZE, NIFTI). These methods provide functionality for
file name validation, extension handling, and file path manipulation.
}
\section{File Format Structure}{

Neuroimaging formats often use paired files:
\itemize{
  \item A header file (e.g., '.hdr') containing metadata
  \item A data file (e.g., '.img') containing the actual image data
}
}

\section{Common Operations}{

\itemize{
  \item Validating file names against format specifications
  \item Converting between header and data file names
  \item Checking file existence and compatibility
}
}

