% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/axis.R
\name{findAnatomy3D}
\alias{findAnatomy3D}
\title{Find 3D anatomical orientation from axis abbreviations}
\usage{
findAnatomy3D(axis1 = "L", axis2 = "P", axis3 = "I")
}
\arguments{
\item{axis1}{Character string for first axis (default: "L" for Left)}

\item{axis2}{Character string for second axis (default: "P" for Posterior)}

\item{axis3}{Character string for third axis (default: "I" for Inferior)}
}
\value{
An AxisSet3D object representing the anatomical orientation
}
\description{
Creates a 3D anatomical orientation from axis abbreviations.
}
\examples{
# Create orientation with default LPI axes
orient <- findAnatomy3D()
# Create orientation with custom axes
orient <- findAnatomy3D("R", "A", "S")
}
